SoScXMLStateMachine(3)

NAME
SoScXMLStateMachine - Integration level for using Coin events with SCXML-based state machines.

SYNOPSIS

#include <Inventor/scxml/SoScXMLStateMachine.h>

Inherits ScXMLStateMachine.

  Public Member Functions
virtual SoType getTypeId (void) const
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.
virtual void setSceneGraphRoot (SoNode *root)
virtual SoNode * getSceneGraphRoot (void) const
virtual void setActiveCamera (SoCamera *camera)
virtual SoCamera * getActiveCamera (void) const
virtual void setViewportRegion (const SbViewportRegion &vp)
virtual const SbViewportRegion & getViewportRegion (void) const
virtual void preGLRender (void)
virtual void postGLRender (void)
virtual SbBool processSoEvent (const SoEvent *event)
virtual const char * getVariable (const char *key) const

  Static Public Member Functions
static SoType getClassTypeId (void)
static void * createInstance (void)
static void initClass (void)
static void cleanClass (void)

  Additional Inherited Members

Detailed Description

Integration level for using Coin events with SCXML-based state machines. This class is part of integrating the Coin types with the SCXML subsystem. SoScXMLStateMachines adds convenience for using SCXML state machines together with Coin events.

Since
    Coin 3.0

Member Function Documentation

  SoType SoScXMLStateMachine::getTypeId (void) const [virtual]

Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

See also
    SoBase::getTypeId() const

Reimplemented from ScXMLStateMachine.

  SbBool SoScXMLStateMachine::processSoEvent (const SoEvent * event) [virtual]
This function makes the state machine process an SoEvent.

  const char * SoScXMLStateMachine::getVariable (const char * key) const [virtual]
The string returned from this function is only valid until the next variable is requested.

Reimplemented from ScXMLStateMachine.

Author

Generated automatically by Doxygen for Coin from the source code.